Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 May 2023 19:06:17 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Spencer Baugh <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 18 May 2023 18:57:48 +0300
> 
> >> We could add the split menu items first and add the consolidated menu
> >> later if there is demand.
> >
> > Didn't Juri ask for it already?
> 
> When I said that a separate submenu might be useful, I meant a minor-mode
> submenu as used for other context submenus in 'context-menu-minor'.
> 
> Is it possible to enable some formal minor mode in project-visited
> buffers?  Then a minor-mode menu with project items could be associated
> with such minor mode and displayed at the end of the global menu
> and in context menus.

I don't understand why would we need a minor mode to show a menu on
the menu bar.  The menu items are all related to popular project.el
commands, so they should be visible regardless of any modes, IMO.